STRSIGNAL(3)

NAME
strsignal - get signal description string

SYNOPSIS
#include <string.h>
char *
strsignal(int sig);

DESCRIPTION
The strsignal() function returns a pointer to the string describing the signal sig.

The array pointed to is not to be modified by the program, but may be overwritten by subsequent calls to strsignal().

SEE ALSO
intro(2), psignal(3), setlocale(3)

STANDARDS
The strsignal() function conforms to p1003.1-2008.

HISTORY
The strsignal() function first appeared in AT&T UNIX and was reimplemented for NetBSD 1.0.

CAVEATS
On systems other than OpenBSD, the LC_MESSAGES locale(1) category can cause different strings to be returned instead of the normal signal descriptions; see CAVEATS in setlocale(3) for details.